libnvme(2)

NAME
struct nvme_fdp_config_desc - FDP Configuration Descriptor

SYNOPSIS
struct nvme_fdp_config_desc {
__le16 size;
__u8 fdpa;
__u8 vss;
__le32 nrg;
__le16 nruh;
__le16 maxpids;
__le32 nnss;
__le64 runs;
__le32 erutl;
__u8 rsvd28[36];
struct nvme_fdp_ruh_desc ruhs[];
};

Members

size
    Descriptor size

fdpa
    FDP Attributes (enum nvme_fdp_config_fdpa)

vss Vendor Specific Size

nrg Number of Reclaim Groups

nruh
    Number of Reclaim Unit Handles

maxpids
    Max Placement Identifiers

nnss
    Number of Namespaces Supported

runs
    Reclaim Unit Nominal Size

erutl
    Estimated Reclaim Unit Time Limit

rsvd28
    Reserved

ruhs
    Reclaim Unit Handle descriptors (struct nvme_fdp_ruh_desc)